Skip to content

Get draw rate caps

Request

Security
oauth2(Required scopes: rates:list) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

loanIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The unique identifier of the Loan we wish to retrieve. Can be Peach or lender's external identifier.

drawIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The draw identifier.

GET
/people/{personId}/loans/{loanId}/draws/{drawId}/rate-caps
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/draws/{drawId}/rate-caps' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
Array [
createdAtstring, (date-time)

When the rate cap was created.

endDatestring or null, (date)(RateCapEndDate)

Rate cap end date in product timezone, inclusive. If null, applies until end of loan/draw.

idstring

The rate cap identifier.

maxRatenumber, (float), >= 0(RateCapMaxRate)

The maximum spread interest rate that can accrue.

If the calculated rate on a given day is greater than maxRate, then the system will cap the rate and accrue a maximum of maxRate on the loan. Else, we will use the calculated rate.

Format is decimal. For example, 0.36 is 36% annual rate cap.

rateCapReasonstring(RateCapReason)

The reason for maxRate. This is not used for any compliance logic, only for informational purposes.

  • MLA - Military Lending Act (36% cap for active duty military)
  • SCRA - Servicemembers Civil Relief Act
  • federal - Other federal regulations
  • state - State-specific regulations
  • other - Other regulatory or business reasons
Default:"other"
Enum:"MLA""SCRA""federal""state""other"
startDatestring, (date)(RateCapStartDate)

Rate cap start date in product timezone, inclusive.

updatedAtstring, (date-time)

When the rate cap was last updated.

]
Response
[ { "createdAt": "2019-08-24T14:15:22Z", "endDate": "2019-08-24", "id": "string", "maxRate": 0, "rateCapReason": "MLA", "startDate": "2019-08-24", "updatedAt": "2019-08-24T14:15:22Z" } ]